### Method

# Devhelp ProfileBuilder set_book_list

since: 3.30

#### Declaration [src]

    void
    dh_profile_builder_set_book_list (
      DhProfileBuilder* builder,
      DhBookList* book_list
    )

#### Description [src]

Sets the `DhBookList` object.

If you don’t call this function, the default `DhBookList` object as returned by `dh_book_list_get_default()` will be used.

Available since: 3.30

#### Parameters

`book_list`

  Type: `DhBookList`

  A `DhBookList`.

  The data is owned by the caller of the method.